'use strict';

var autoprefixer = require('gulp-autoprefixer'),
    cleancss = require('gulp-clean-css'),
    gulp = require('gulp'),
    rename = require('gulp-rename'),
    sass = require('gulp-sass'),
    sassGlob = require('gulp-sass-glob-import'),
    uglify = require('gulp-uglify');

gulp.task('sass', function() {
	return gulp.src('./sass/*.scss')
		.pipe(sassGlob())
		.pipe(sass({errLogToConsole: true}))
		.pipe(autoprefixer({
			browsers: ['last 2 versions']
		}))
		.pipe(cleancss()) // minify
		.pipe(rename('style.min.css'))
		.pipe(gulp.dest('./'));
});

gulp.task('sass:watch', function() {
	gulp.watch('./sass/**/*.scss', ['sass']);
});
